OpenAI Integration
Get file content (OpenAI format)
Retrieves the content of an uploaded file.
Note: This endpoint also works without the /v1 prefix (e.g., /openai/files/{file_id}/content).
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
Path Parameters
file_idstring
File ID
Query Parameters
provider?string
Provider for the file
Response Body
curl -X GET "https://loading/{AI_GATEWAY_URL}/openai/v1/files/string/content?provider=string""string"{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}